Subject: Re: draft-ietf-usefor-usefor-09

From: Alexey Melnikov <[email-masked]>
Date: Thu, 14 Sep 2006 15:31:00 +0100

> >Please get rid of <msg-id-core> again, it's used nowhere else,
> >and it makes that critical part more obscure than necessary.  
>
> Seems reasonable to me, but I'll let the WG and/or chairs make this call.

Somebody has requested a new non-terminal for message-id with no angle
brackets, as it is used in URLs.

I frankly care less how it is called, so if you have a better name for
it, let me know.

[...]

> >Why do we say "SHOULD be ignored" about the obsolete header
> >fields, isn't that more like "MUST be ignored" ?  We don't
> >want any effects of "Also-Control".
>  
> Seems reasonable to me, but I'll let the WG and/or chairs make this call.

(chair hat off) Changing SHOULD to MUST is fine with me.

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 15 Sep 2006 10:05:03 +0200

> (chair hat off) Changing SHOULD to MUST is fine with me.
(chair hat off) Making all implementations that make special 
considerations for interworking with old systems non-conformant is not 
fine with me. If someone has to interface with a system that uses 
Also-Control, and understands completely the implications of being able 
to configure that for that particular context, I do not want to declare 
him unconditionally nonconformant.
I think SHOULD is better.

(chair hat on) Minimize technical changes 3 months after Last Call, please.

---

From: "Charles Lindsey" <[email-masked]>
Date: Fri, 15 Sep 2006 09:59:19 GMT

>brackets, as it is used in URLs.

I agree. That is another good reason to keep that syntax as we have it.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 15 Sep 2006 14:28:22 +0100

Harald Alvestrand wrote:

> Also-Control, and understands completely the implications of being 
> able to configure that for that particular context, I do not want to 
> declare him unconditionally nonconformant.

Ok, this is a convincing argument to keep the SHOULD.